Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class TableReport.ReportBandCreator

    java.lang.Object
      net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator

All Implemented Interfaces:
  ColumnVisitor<java.lang.Void>

Direct Known Subclasses:
  TableReport.ColumnHeaderCreator, TableReport.DetailBandCreator, TableReport.GroupHeaderCreator, TableReport.ReverseReportBandCreator, TableReport.TitleCreator

Enclosing class:
  TableReport

    protected abstract class TableReport.ReportBandCreator

extends java.lang.Object
implements ColumnVisitor<java.lang.Void>

Constructor Summary
`TableReport.ReportBandCreator(TableReport.ReportBandInfo bandInfo, FillColumn fillColumn, int xOffset, int yOffset, int level)`

Method Summary
`protected abstract Cell` | `columnCell(Column column)`
`protected abstract Cell` | `columnGroupCell(ColumnGroup group)`
`protected abstract TableReport.ReportBandCreator` | `createSubVisitor(FillColumn subcolumn, int xOffset, int yOffset, int subLevel)`
`void` | `visit()`
`java.lang.Void` | `visitColumn(Column column)`
`java.lang.Void` | `visitColumnGroup(ColumnGroup columnGroup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableReport.ReportBandCreator

    public TableReport.ReportBandCreator(TableReport.ReportBandInfo bandInfo,
                                         FillColumn fillColumn,
                                         int xOffset,
                                         int yOffset,
                                         int level)

Method Detail

### visitColumn

    public java.lang.Void visitColumn(Column column)

  Specified by:
    `visitColumn` in interface `ColumnVisitor<java.lang.Void>`

### columnCell

    protected abstract Cell columnCell(Column column)

### visitColumnGroup

    public java.lang.Void visitColumnGroup(ColumnGroup columnGroup)

  Specified by:
    `visitColumnGroup` in interface `ColumnVisitor<java.lang.Void>`

### columnGroupCell

    protected abstract Cell columnGroupCell(ColumnGroup group)

### createSubVisitor

    protected abstract TableReport.ReportBandCreator createSubVisitor(FillColumn subcolumn,
                                                                      int xOffset,
                                                                      int yOffset,
                                                                      int subLevel)

### visit

    public void visit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com